<?php
/**
 * @file
 * erpal_project_ui.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function erpal_project_ui_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|erpal_project|default';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'erpal_project';
  $ds_fieldsetting->view_mode = 'default';
  $ds_fieldsetting->settings = array(
    'author' => array(
      'weight' => '11',
      'label' => 'above',
      'format' => 'author',
    ),
    'post_date' => array(
      'weight' => '2',
      'label' => 'above',
      'format' => 'ds_post_date_year',
    ),
    'changed_date' => array(
      'weight' => '10',
      'label' => 'above',
      'format' => 'ds_post_date_year',
    ),
    'submitted_by' => array(
      'weight' => '4',
      'label' => 'above',
      'format' => 'ds_post_date_short',
    ),
    'ds_user_picture' => array(
      'weight' => '3',
      'label' => 'above',
      'format' => 'ds_picture_usermenu_profileimage',
    ),
  );
  $export['node|erpal_project|default'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|erpal_project|full';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'erpal_project';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'submitted_by' => array(
      'weight' => '2',
      'label' => 'above',
      'format' => 'ds_post_date_day',
    ),
    'field_project_payment_modality' => array(
      'formatter_settings' => array(
        'ft' => array(
          'lb' => 'Controlling',
        ),
      ),
    ),
    'field_resource' => array(
      'formatter_settings' => array(
        'ft' => array(),
      ),
    ),
  );
  $export['node|erpal_project|full'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|erpal_task|full';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'erpal_task';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'submitted_by' => array(
      'weight' => '4',
      'label' => 'above',
      'format' => 'ds_time_ago',
    ),
    'field_task_project' => array(
      'formatter_settings' => array(
        'ft' => array(),
      ),
    ),
  );
  $export['node|erpal_task|full'] = $ds_fieldsetting;

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|erpal_project|reference';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'erpal_project';
  $ds_fieldsetting->view_mode = 'reference';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '0',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '1',
        'wrapper' => '',
        'class' => '',
        'ft' => array(),
      ),
    ),
  );
  $export['node|erpal_project|reference'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function erpal_project_ui_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_project|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_project';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'field_project_status',
        1 => 'field_date_with_end_ref',
        2 => 'post_date',
        3 => 'ds_user_picture',
        4 => 'submitted_by',
        5 => 'body',
        6 => 'field_project_order',
        7 => 'field_project_line_item',
        8 => 'field_project_payment_modality',
        9 => 'changed_date',
        10 => 'author',
        11 => 'field_resource',
      ),
    ),
    'fields' => array(
      'field_project_status' => 'ds_content',
      'field_date_with_end_ref' => 'ds_content',
      'post_date' => 'ds_content',
      'ds_user_picture' => 'ds_content',
      'submitted_by' => 'ds_content',
      'body' => 'ds_content',
      'field_project_order' => 'ds_content',
      'field_project_line_item' => 'ds_content',
      'field_project_payment_modality' => 'ds_content',
      'changed_date' => 'ds_content',
      'author' => 'ds_content',
      'field_resource' => 'ds_content',
    ),
    'classes' => array(),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|erpal_project|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_project|full';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_project';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'header' => array(
        0 => 'field_project_status',
        1 => 'field_date_with_end_ref',
        2 => 'submitted_by',
      ),
      'left' => array(
        3 => 'field_resource',
        4 => 'body',
      ),
      'right' => array(
        5 => 'field_project_budget_view',
        6 => 'field_project_order',
        7 => 'field_project_line_item',
        8 => 'field_project_payment_modality',
      ),
    ),
    'fields' => array(
      'field_project_status' => 'header',
      'field_date_with_end_ref' => 'header',
      'submitted_by' => 'header',
      'field_resource' => 'left',
      'body' => 'left',
      'field_project_budget_view' => 'right',
      'field_project_order' => 'right',
      'field_project_line_item' => 'right',
      'field_project_payment_modality' => 'right',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'hide_page_title' => '0',
    'page_option_title' => '',
  );
  $export['node|erpal_project|full'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_project|full';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_project';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'field_resource',
        4 => 'body',
      ),
      'header' => array(
        1 => 'field_project_status',
        2 => 'field_date_with_end_ref',
        3 => 'submitted_by',
      ),
      'right' => array(
        5 => 'field_project_budget_view',
        6 => 'field_project_order',
        7 => 'field_project_line_item',
        8 => 'field_project_payment_modality',
      ),
    ),
    'fields' => array(
      'field_resource' => 'left',
      'field_project_status' => 'header',
      'field_date_with_end_ref' => 'header',
      'submitted_by' => 'header',
      'body' => 'left',
      'field_project_budget_view' => 'right',
      'field_project_order' => 'right',
      'field_project_line_item' => 'right',
      'field_project_payment_modality' => 'right',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'hide_page_title' => '0',
    'page_option_title' => '',
  );
  $export['node|erpal_project|full'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_project|reference';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_project';
  $ds_layout->view_mode = 'reference';
  $ds_layout->layout = 'panels-naked';
  $ds_layout->settings = array(
    'regions' => array(
      'content' => array(
        0 => 'title',
      ),
    ),
    'fields' => array(
      'title' => 'content',
    ),
    'classes' => array(),
    'wrappers' => array(
      'content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|erpal_project|reference'] = $ds_layout;
  
  // task layout settings
  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_task|default';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_task';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'field_task_project',
        1 => 'field_task_type',
        2 => 'field_task_parent',
        3 => 'field_task_status',
        4 => 'field_date_with_end_ref',
        5 => 'field_task_priority',
        6 => 'ds_user_picture',
        7 => 'submitted_by',
        8 => 'field_resource',
        9 => 'body',
        10 => 'field_task_line_item',
        11 => 'field_task_payment_modality',
        12 => 'post_date',
        13 => 'changed_date',
        14 => 'author',
      ),
    ),
    'fields' => array(
      'field_task_project' => 'ds_content',
      'field_task_type' => 'ds_content',
      'field_task_parent' => 'ds_content',
      'field_task_status' => 'ds_content',
      'field_date_with_end_ref' => 'ds_content',
      'field_task_priority' => 'ds_content',
      'ds_user_picture' => 'ds_content',
      'submitted_by' => 'ds_content',
      'field_resource' => 'ds_content',
      'body' => 'ds_content',
      'field_task_line_item' => 'ds_content',
      'field_task_payment_modality' => 'ds_content',
      'post_date' => 'ds_content',
      'changed_date' => 'ds_content',
      'author' => 'ds_content',
    ),
    'classes' => array(),
    'wrappers' => array(
      'ds_content' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['node|erpal_task|default'] = $ds_layout;

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_task|full';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_task';
  $ds_layout->view_mode = 'full';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'field_resource',
        6 => 'body',
      ),
      'header' => array(
        1 => 'field_task_project',
        2 => 'field_task_parent',
        3 => 'field_task_status',
        4 => 'field_date_with_end_ref',
        5 => 'submitted_by',
      ),
      'right' => array(
        7 => 'field_task_line_item',
        8 => 'field_task_payment_modality',
      ),
    ),
    'fields' => array(
      'field_resource' => 'left',
      'field_task_project' => 'header',
      'field_task_parent' => 'header',
      'field_task_status' => 'header',
      'field_date_with_end_ref' => 'header',
      'submitted_by' => 'header',
      'body' => 'left',
      'field_task_line_item' => 'right',
      'field_task_payment_modality' => 'right',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'hide_page_title' => '0',
    'page_option_title' => '',
  );
  $export['node|erpal_task|full'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function erpal_project_ui_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'reference';
  $ds_view_mode->label = 'Reference';
  $ds_view_mode->entities = array(
    'node' => 'node',
  );
  $export['reference'] = $ds_view_mode;

  return $export;
}